@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/usr/bin/perl
#line 15

use strict;
use warnings;

use Games::ABC_Path::Solver::Board;

my $board_fn = shift(@ARGV);

if (!defined ($board_fn))
{
    die "Filename not specified - usage: abc-path-solver.pl [filename]!";
}

my $solver = Games::ABC_Path::Solver::Board->input_from_file($board_fn);
# Now let's do a neighbourhood inferring of the board.

$solver->solve;

foreach my $move (@{$solver->get_moves})
{
    print +(' => ' x $move->get_depth()), $move->get_text(), "\n";
}

print @{$solver->get_successes_text_tables};

1;


__END__
:endofperl
